/**
 * @provides phui-two-column-view-css
 */

.phui-two-column-fixed {
  max-width: 1140px;
  margin: 0 auto;
}

.phui-two-column-view .phui-two-column-header {
  background-color: {$page.content};
  border-bottom: 1px solid rgba({$alphagrey}, .12);
  margin-bottom: 24px;
}

.phui-two-column-view.without-header {
  margin-top: 24px;
}

.device .phui-two-column-view .phui-two-column-header {
  margin-bottom: 12px;
}

.phui-two-column-view.with-tabs .phui-two-column-header,
.phui-two-column-view.with-subheader .phui-two-column-header {
  margin-bottom: 0;
}

.phui-two-column-header .phui-header-header {
  font-size: 20px;
  color: {$blacktext};
}

.device-phone .phui-two-column-header .phui-header-header {
  font-size: 16px;
}

.phui-two-column-view .phui-two-column-header .phui-header-shell {
  padding: 24px 32px 28px;
  border: none;
}

.phui-two-column-view .phui-two-column-header
  .phui-profile-header.phui-header-shell {
    padding-bottom: 20px;
}

.device .phui-two-column-view .phui-two-column-header .phui-header-shell {
  padding: 12px 12px 16px;
}

.phui-two-column-header .phui-header-subheader {
  margin-top: 12px;
}

.phui-two-column-subheader {
  padding: 12px 32px;
}

.device .phui-two-column-subheader {
  padding: 12px 16px;
}

.device-desktop .phui-two-column-content {
  padding: 0 32px;
}

.device .phui-two-column-content {
  padding: 0 12px;
}

.device-desktop .phui-two-column-view .phui-main-column {
  float: left;
  width: calc(100% - 320px);
}

.device-desktop .phui-two-column-view .phui-side-column {
  float: right;
  width: 300px;
}

!print .phui-two-column-view .phui-main-column {
  float: unset;
  width: unset;
  margin-bottom: 20px;
}

!print .phui-two-column-view .phui-side-column {
  float: unset;
  width: unset;
  margin-bottom: 20px;
}

!print .device-desktop .phui-two-column-view .phui-main-column {
  float: unset;
  width: unset;
  margin-bottom: 20px;
}

!print .device-desktop .phui-two-column-view .phui-side-column {
  float: unset;
  width: unset;
  margin-bottom: 20px;
}

.device-desktop .phui-two-column-view.phui-side-column-left .phui-main-column {
  float: right;
  width: calc(100% - 280px);
}

.device-desktop .phui-two-column-view.phui-side-column-left .phui-side-column {
  float: left;
  width: 260px;
}

.device .phui-side-column {
  margin-bottom: 20px;
}

.phui-two-column-view .phui-two-column-content
  .phui-object-box {
    margin: 0 0 20px 0;
}

/* Timeline */

.phui-two-column-view .phui-timeline-view {
  padding: 0;
  background-position: 80px;
}

.phui-two-column-view .phui-main-column .phui-object-box + .phui-timeline-view {
  margin-top: -20px;
  word-break: break-all;
}

.device .phui-two-column-view .phui-timeline-view {
  background-position: 16px;
  padding: 0;
}

.device-phone .phui-two-column-view .phui-timeline-event-view {
  margin: 0;
}

.phui-main-column > .phui-timeline-view:first-child {
  border-top: 1px solid {$thinblueborder};
}

.device-phone .phui-main-column .phui-timeline-older-transactions-are-hidden {
  margin: 0;
}

/* Main Column Properties */

.device-desktop .phui-main-column .phui-property-list-key {
  margin-left: 0;
  width: 180px;
}

.device-desktop .phui-main-column .phui-property-list-value {
  margin-left: 8px;
  width: calc(100% - 200px);
}


/* Property / Action List */

.phui-two-column-properties .phabricator-action-list-view {
  padding-top: 4px;
  padding-bottom: 12px;
}

.device-desktop .phui-two-column-view .phui-property-list-container {
  padding: 16px 0;
}

.device-desktop .phui-two-column-view
  .phui-property-list-properties-wrap.phui-property-list-stacked {
  padding: 0 16px;
}

.device .phui-two-column-view .phui-property-list-container {
  padding: 12px 8px;
}

.phui-two-column-view .phui-property-list-container
  .keyboard-shortcuts-available {
    display: none;
}

.device .phui-two-column-content .phui-two-column-properties.phui-object-box {
  padding: 0 12px;
}

.phui-two-column-view .phui-property-list-section-header,
.phui-two-column-view .phui-property-list-text-content {
  margin: 0 16px;
}

.device .phui-two-column-view .phui-property-list-section-header,
.device .phui-two-column-view .phui-property-list-text-content {
  margin: 0 8px;
}

.phui-two-column-tabs {
  padding: 0 32px;
  margin-bottom: 32px;
  background: {$page.content};
  box-shadow: 0 1px 3px 0 rgba(0,0,0,0.2);
}

.device-phone .phui-two-column-tabs {
  padding: 0 12px;
}

.device-phone .phui-two-column-tabs .phui-list-view.phui-list-tabbar {
  text-align: center;
}

.device-phone .phui-two-column-tabs .phui-list-view.phui-list-tabbar > li {
  float: none;
  display: inline-block;
}

/* Info View */

.phui-two-column-view .phui-info-view {
  margin: 0 0 20px 0;
  padding: 16px;
}

.device .phui-two-column-view .phui-info-view {
  margin: 0 0 20px 0;
  padding: 12px;
}

.phui-two-column-view .phui-oi-empty .phui-info-view {
  margin: 0;
}

.phui-two-column-view .phui-side-column .phui-oi-empty
  .phui-info-view {
   margin-bottom: 0;
}


.phui-two-column-view .phui-box-blue-property
  .phui-header-shell + .phui-info-view {
    margin: 16px;
}

.device .phui-two-column-view .phui-box-blue-property
  .phui-header-shell + .phui-info-view {
    margin: 8px;
}

/* Navigation */

.phui-two-column-view .side-has-nav .phabricator-nav-local {
  width: auto;
  position: static;
  margin: 0;
}

.device .phui-two-column-view .side-has-nav {
  display: none;
}

/* Document View */

.phui-two-column-view .phui-two-column-content .phui-document-fluid
  .phui-document-view {
    margin: 0 0 20px 0;
}

/*- Fixed Styles with Navigation -------------------------------------------- */

.phui-two-column-fixed.phui-two-column-view .phui-two-column-header {
  background: transparent;
  border: none;
  margin-bottom: 0;
}

.phui-two-column-fixed.phui-two-column-view .phui-side-column
  .phui-box-border {
    background: transparent;
    border: none;
    padding: 0;
    width: 180px;
}

.device-desktop
  .phui-two-column-fixed.phui-two-column-view.phui-side-column-left
  .phui-side-column {
    width: 200px;
}

.device-desktop
  .phui-two-column-fixed.phui-two-column-view.phui-side-column-left
  .phui-main-column {
    width: calc(100% - 200px)
}

.phui-two-column-fixed.phui-two-column-view .phui-basic-nav
  .phabricator-side-menu {
    background: transparent;
}

.phui-two-column-fixed.phui-two-column-view
  .phui-basic-nav .phabricator-side-menu .phui-list-item-selected {
    border-radius: 3px;
    background-color: {$sky};
}

.phui-two-column-fixed.phui-two-column-view .phui-basic-nav
  .phabricator-side-menu .phui-list-item-href {
    border-radius: 3px;
}

.phui-two-column-fixed.phui-two-column-view .phui-basic-nav
  .phabricator-side-menu .phui-list-item-selected a {
    color: #fff;
}

.phui-two-column-fixed.phui-two-column-view .phui-basic-nav
  .phabricator-side-menu .phui-list-item-selected a .phui-icon-view {
    color: #fff;
}

.phui-two-column-fixed.phui-two-column-view .phui-header-action-links
  .phui-mobile-menu {
    display: block;
}

!print .phabricator-side-menu {
  display: none !important;
}
